ata_dev_set_feature
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_dev_set_feature — Issue SET FEATURES - SATA FEATURES

## Synopsis

`unsigned int ata_dev_set_feature (` | struct ata_device * | dev,
| u8 | enable,
| u8 | feature`)`;

## Arguments

`dev`

  Device to which command will be sent

`enable`

  Whether to enable or disable the feature

`feature`

  The sector count represents the feature to set

## Description

Issue SET FEATURES - SATA FEATURES command to device `dev` on port `ap` with sector count

## LOCKING

PCI/etc. bus probe sem.

## RETURNS

0 on success, AC_ERR_* mask otherwise.

Prev | Up | Next
ata_dev_set_xfermode | Home | ata_dev_init_params